axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Manuel Linsmayer (JIRA)" <j...@apache.org>
Subject [jira] Commented: (AXIS2-3524) Classloader problem / Service isolation
Date Tue, 11 Mar 2008 19:32:46 GMT

    [ https://issues.apache.org/jira/browse/AXIS2-3524?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12577578#action_12577578
] 

Manuel Linsmayer commented on AXIS2-3524:
-----------------------------------------

Hi,

that's bad news. I need to use an older version of Jakarta Commons HTTP-Client than Axis ships
with (2.0.2 instead of 3.0.1) . There is no way  to handle such a situation?

Thank you,
Manuel

> Classloader problem / Service isolation
> ---------------------------------------
>
>                 Key: AXIS2-3524
>                 URL: https://issues.apache.org/jira/browse/AXIS2-3524
>             Project: Axis 2.0 (Axis2)
>          Issue Type: Bug
>    Affects Versions: 1.3
>            Reporter: Manuel Linsmayer
>
> I have two versions of the same library in AXIS2_HOME/lib and inside my AAR in the lib
folder. Inside my service class, I'm trying to load the version from the AAR file using the
following code:
>   ClassLoader cl = this.getClass().getClassLoader();
>   Class testClass = Class.forName("package.Test", true, cl);
>   package.Test testObj = (package.Test) testClass.newInstance();
> The classloader always picks the version from AXIS2_HOME/lib.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message